Get CDN service status details
curl --request GET \
--url https://api.gcore.com/cdn/clients/{client_id}/service \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cdn/clients/{client_id}/service"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cdn/clients/{client_id}/service', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enabled": true,
"status": "active",
"updated": "2021-06-10T10:30:04.954354Z"
}CDN service
Get CDN service status details
Get information about CDN service status of the specific client account.
GET
/
cdn
/
clients
/
{client_id}
/
service
Get CDN service status details
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Client account ID.
Response
Successful.
CDN service status.
Defines whether the service is activated.
Possible values are:
- true - Service is activated.
- false - Service is not activated.
Service status.
Possible values:
- new - CDN service is not activated.
- trial - Free trial is in progress.
- trialend - Free trial has ended and CDN service is stopped. All client CDN resources are suspended.
- activating - CDN service is being activated. It can take up to 15 minutes.
- active - CDN service is active.
- paused - CDN service is stopped. All client CDN resources are suspended.
- deleted - CDN service is stopped. All client CDN resources are deleted.
Date of the last status update.
Was this page helpful?